package com.qmth.teachcloud.report.business.enums;


public enum QuantileEnum {
    UPPER_QUARTILE(0.75,"上四分位数", "Q3"),
    MEDIAN(0.5,"中位数", "Q2"),
    LOWER_QUARTILE(0.25,"下四分位数", "Q1"),
    ;
    QuantileEnum(double value, String desc, String remark) {
        this.value = value;
        this.desc = desc;
        this.remark = remark;
    }
    private final double value;
    private final String desc;
    private final String remark;

    public double getValue() {
        return value;
    }

    public String getDesc() {
        return desc;
    }

    public String getRemark() {
        return remark;
    }
}
